> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 脅威保護ポリシーを更新

> ドキュメント全体を更新します。未指定のフィールドはデフォルトにリセットされます。Enterprise 機能のため、チーム管理者のみ利用できます。

組織の[脅威保護](/ja/features/threat-protection)ポリシー全体を更新します。指定されていないフィールドはデフォルトにリセットされます。チーム管理者のみ。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json PUT /team/threat-protection
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /team/threat-protection:
    put:
      tags:
        - Threat Protection
      summary: チームの脅威保護ポリシーを更新
      description: ドキュメント全体を更新します。未指定のフィールドはデフォルトにリセットされます。Enterprise 機能のため、チーム管理者のみ利用できます。
      operationId: updateThreatProtection
      requestBody:
        content:
          application/json:
            schema:
              properties:
                allowRequestOverrides:
                  description: >-
                    個別のリクエストで `threatProtection` オブジェクトを渡せるかどうか。false
                    の場合、そのようなリクエストは 403 で拒否されます。
                  example: true
                  type: boolean
                blacklist:
                  description: '分類器を呼び出さずに常にブロックする、完全一致のドメインまたはグロブ（例: `*.example.com`）。'
                  example:
                    - '*.risky.example'
                  items:
                    type: string
                  type: array
                blockedTlds:
                  description: 即座にブロックするトップレベルドメイン。先頭のドットは付けず、小文字で指定します。
                  example:
                    - zip
                  items:
                    type: string
                  type: array
                failurePolicy:
                  description: 分類器に到達できない場合の動作。`closed` はブロック（デフォルト）、`open` は許可します。
                  enum:
                    - open
                    - closed
                  example: closed
                  type: string
                mode:
                  description: >-
                    脅威保護モード。`off` はチェックを無効にします。`normal` はドメインを Google Web Risk
                    でチェックします（スキャンしたドメインごとに +2 クレジット）。
                  enum:
                    - 'off'
                    - normal
                  example: normal
                  type: string
                riskScoreThreshold:
                  description: 分類器の判定がブロックされる正規化スコア（0～100）のしきい値。この値が低いほど厳格です。
                  example: 75
                  maximum: 100
                  minimum: 0
                  type: integer
                whitelist:
                  description: 常に許可される完全一致のドメインまたはグロブ。ほかのすべてのルールより優先されます。
                  example:
                    - '*.trusted.example'
                  items:
                    type: string
                  type: array
              required:
                - mode
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      allowRequestOverrides:
                        description: >-
                          個別のリクエストで `threatProtection` オブジェクトを渡せるかどうか。false
                          の場合、そのようなリクエストは 403 で拒否されます。
                        example: true
                        type: boolean
                      blacklist:
                        description: >-
                          分類器を呼び出さずに常にブロックする、完全一致のドメインまたはグロブ（例:
                          `*.example.com`）。
                        example:
                          - '*.risky.example'
                        items:
                          type: string
                        type: array
                      blockedTlds:
                        description: 即座にブロックするトップレベルドメイン。先頭のドットは付けず、小文字で指定します。
                        example:
                          - zip
                        items:
                          type: string
                        type: array
                      configured:
                        description: 組織がポリシーを保存済みかどうか（デフォルトが返されている場合との対比）。
                        example: true
                        type: boolean
                      failurePolicy:
                        description: 分類器に到達できない場合の動作。`closed` はブロック（デフォルト）、`open` は許可します。
                        enum:
                          - open
                          - closed
                        example: closed
                        type: string
                      mode:
                        description: >-
                          脅威保護モード。`off` はチェックを無効にします。`normal` はドメインを Google Web
                          Risk でチェックします（スキャンしたドメインごとに +2 クレジット）。
                        enum:
                          - 'off'
                          - normal
                        example: normal
                        type: string
                      riskScoreThreshold:
                        description: 分類器の判定がブロックされる正規化スコア（0～100）のしきい値。この値が低いほど厳格です。
                        example: 75
                        maximum: 100
                        minimum: 0
                        type: integer
                      updatedAt:
                        format: date-time
                        nullable: true
                        type: string
                      whitelist:
                        description: 常に許可される完全一致のドメインまたはグロブ。ほかのすべてのルールより優先されます。
                        example:
                          - '*.trusted.example'
                        items:
                          type: string
                        type: array
                    type: object
                  success:
                    example: true
                    type: boolean
                type: object
          description: チームの組織に適用される有効な脅威保護ポリシー。
        '400':
          description: 無効なポリシードキュメントです。
        '403':
          description: このチームでは脅威保護が有効になっていないか、オーバーライドが無効な状態でリクエストのオーバーライドが送信されました。
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````